<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    tools:context=".ui.home.HomeActivity">

    <include layout="@layout/default_toolbar"/>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/refresh"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:id="@+id/ll_rfid_user"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="24dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="230dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_number_rfid" />

                        <TextView
                            android:id="@+id/tv_rfid_gun_id"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:layout_weight="1"
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            tools:text="RFID-AN70-N650" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_rfid_card"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_rfid_user"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="230dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_number_rfid_card" />

                        <TextView
                            android:id="@+id/tv_rfid_card_number"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            tools:text="0009449244" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_employee"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_rfid_card"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="230dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_employee_name" />

                        <TextView
                            android:id="@+id/tv_employee_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            tools:text="Deddy Corbuzier" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_gate"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_employee"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="230dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_gate" />

                        <TextView
                            android:id="@+id/tv_gate_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:text="@string/label_strip"
                            tools:text="Crown Palace" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_site"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_gate"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="230dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_site" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_site"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            tools:listitem="@layout/row_site"
                            tools:itemCount="3"/>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_permit"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_site"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_entry_ermit" />

                        <androidx.appcompat.widget.AppCompatSpinner
                            android:id="@+id/spinner_permit"
                            android:layout_width="165dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            style="@style/spinner_style" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_status_scan"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="12dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_permit"
                        android:orientation="horizontal">
                        <TextView
                            android:textSize="14sp"
                            android:textColor="@color/colorBlack"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="2dp"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp"
                            android:layout_weight="1"
                            android:textStyle="bold"
                            android:text="@string/label_scan_status" />

                        <com.github.angads25.toggle.widget.LabeledSwitch
                            android:id="@+id/sw_status_scan"
                            android:layout_width="175dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="8dp"
                            android:textSize="14sp"
                            android:visibility="visible"
                            android:layout_gravity="start"
                            app:on="true"
                            app:colorOn="@color/colorPrimary"
                            app:colorOff="@color/colorWhite"
                            app:colorDisabled="@color/backgroundLayoutGreyDark"
                            app:colorBorder="@color/grey"/>

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_status_scan"
                            android:layout_width="175dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:layout_marginEnd="12dp"
                            android:visibility="gone"
                            tools:listitem="@layout/row_status_scan"
                            tools:itemCount="2"/>

                    </LinearLayout>

                    <Button
                        android:id="@+id/btn_scan"
                        style="@style/ButtonCommon"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/ll_status_scan"
                        android:layout_alignParentStart="true"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="24dp"
                        android:layout_marginBottom="24dp"
                        android:layout_marginEnd="16dp"
                        android:text="@string/label_btn_scan" />

                </RelativeLayout>

            </ScrollView>

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</LinearLayout>